## tudu 0.3.2

=== Makefile ===
DESTDIR=/usr/local/
BIN_DIR=$(DESTDIR)bin
ETC_DIR=$(DESTDIR)etc
SHARE_DIR=$(DESTDIR)share/tudu
MAN_DIR=$(DESTDIR)share/man

all:
	$(MAKE) -C src all SHARE_DIR=$(SHARE_DIR) ETC_DIR=$(ETC_DIR)

clean:
	$(MAKE) -C src clean

depend:
	$(MAKE) -C src depend

install: all
	mkdir -p $(BIN_DIR)
	install -m755 src/tudu $(BIN_DIR)
	mkdir -p $(SHARE_DIR)
	install -m644 data/tudu.dtd $(SHARE_DIR)
	install -m644 data/welcome.xml $(SHARE_DIR)
	install -m644 data/tudurc $(ETC_DIR)
	mkdir -p $(MAN_DIR)/man1
	install -m644 data/tudu.1 $(MAN_DIR)/man1

uninstall:
	rm $(BIN_DIR)/tudu
	rm $(SHARE_DIR)/tudu.dtd
	rm $(SHARE_DIR)/welcome.xml
	rm $(MAN_DIR)/man1/tudu.1
	rmdir $(SHARE_DIR)

=== src/Makefile ===
PROG=tudu
SRCS=tudu.cc interface.cc window.cc data.cc parser.cc text.cc config.cc date.cc
SRCS+= editor.cc screen.cc
CXX=g++
CFLAGS=-g -Wall -O2 -DSHARE_DIR=\"$(SHARE_DIR)\" -DETC_DIR=\"$(ETC_DIR)\"

OBJS=$(SRCS:.cc=.o)

all: $(PROG)

$(PROG): $(OBJS)
	echo $(SRCS)
	$(CXX) $(CFLAGS) -lncurses -o $@ $(OBJS)

.cc.o:
	$(CXX) $(CFLAGS) -c $<

clean:
	@rm -f $(PROG) $(OBJS) core tags

depend:
	@makedepend -Y $(SRCS) 2>/dev/null
	@rm -f Makefile.bak

## tudu 0.4.1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PROG=tudu
 SRCS=tudu.cc interface.cc window.cc data.cc parser.cc text.cc config.cc date.cc
-SRCS+= editor.cc screen.cc
+SRCS+= editor.cc screen.cc sched.cc
 CXX=g++
 CFLAGS=-g -Wall -O2 -DSHARE_DIR=\"$(SHARE_DIR)\" -DETC_DIR=\"$(ETC_DIR)\"

## tudu 0.5.1

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 PROG=tudu
 SRCS=tudu.cc interface.cc window.cc data.cc parser.cc text.cc config.cc date.cc
-SRCS+= editor.cc screen.cc sched.cc
+SRCS+= editor.cc screen.cc sched.cc cmd.cc
 CXX=g++
-CFLAGS=-g -Wall -O2 -DSHARE_DIR=\"$(SHARE_DIR)\" -DETC_DIR=\"$(ETC_DIR)\"
+CFLAGS=-Wall -O2 -DSHARE_DIR=\"$(SHARE_DIR)\" -DETC_DIR=\"$(ETC_DIR)\"
 
 OBJS=$(SRCS:.cc=.o)

## tudu 0.6

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	mkdir -p $(SHARE_DIR)
 	install -m644 data/tudu.dtd $(SHARE_DIR)
 	install -m644 data/welcome.xml $(SHARE_DIR)
+	mkdir -p $(ETC_DIR)
 	install -m644 data/tudurc $(ETC_DIR)
 	mkdir -p $(MAN_DIR)/man1
 	install -m644 data/tudu.1 $(MAN_DIR)/man1

=== src/Makefile ===
PROG=tudu
SRCS=tudu.cc data.cc editor.cc interface.cc window.cc text.cc parser.cc
SRCS+= config.cc date.cc screen.cc sched.cc cmd.cc
CXX=g++
CFLAGS=-Wall -O2 -DSHARE_DIR=\"$(SHARE_DIR)\" -DETC_DIR=\"$(ETC_DIR)\"

OBJS=$(SRCS:.cc=.o)

all: $(PROG)

$(PROG): $(OBJS)
	echo $(SRCS)
	$(CXX) $(CFLAGS) -lncursesw -o $@ $(OBJS)

.cc.o:
	$(CXX) $(CFLAGS) -c $<

clean:
	@rm -f $(PROG) $(OBJS) core tags

depend:
	@makedepend -Y $(SRCS) 2>/dev/null
	@rm -f Makefile.bak

## tudu 0.8.2

=== debian/changelog ===
tudu (0.8.2-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:46:51 +0000

tudu (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Patch the source to include CPPFLAGS

 -- Ruben Pollan Bella <meskio@sindominio.net>  Mon, 24 Sep 2012 23:23:23 +0200

tudu (0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #611077).

 -- Ruben Pollan Bella <meskio@sindominio.net>  Fri, 5 Aug 2011 21:39:19 +0100

tudu (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #568064).

 -- Ruben Pollan Bella <meskio@sindominio.net>  Thu, 9 Dec 2010 21:39:19 +0200

tudu (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@sindominio.net>  Mon, 18 Jan 2010 09:31:20 +0100

tudu (0.6-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@sindominio.net>  Fri, 20 Nov 2009 14:39:12 +0100

tudu (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #505921, #491217, #511311).

 -- Ruben Pollan Bella <meskio@sindominio.net>  Sun, 17 May 2009 23:15:12 +0100

tudu (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@amedias.org>  Tue, 11 Nov 2008 01:35:12 +0100

tudu (0.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #491152, #491224).
  * Fixed watch file.

 -- Ruben Pollan Bella <meskio@amedias.org>  Tue, 22 Jul 2008 12:19:34 +0200

tudu (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@amedias.org>  Thu, 10 Jul 2008 10:38:55 +0200

=== debian/control ===
Source: tudu
Section: utils
Priority: optional
Maintainer: Ruben Pollan Bella <meskio@sindominio.net>
Build-Depends: debhelper (>= 9.0.0), cdbs, libncursesw5-dev, libncurses5-dev
Standards-Version: 3.9.3
Homepage: http://code.meskio.net/tudu/

Package: tudu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command line hierarchical ToDo list
 ToDo list manager in ncurses, with hierarchical representation of the tasks. 
 Each task has:
   * Title
   * Long text description
   * Deadline (tudu warns you when the date is approaching)
   * Categories
   * Priorities

## tudu 0.10.2

=== debian/changelog ===
tudu (0.10.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #765529, #860821)
  * Uploaded to unstable.

 -- Ruben Pollan <meskio@sindominio.net>  Fri, 16 Jun 2017 20:04:07 +0200

tudu (0.10-1) experimental; urgency=low

  * New upstream release. (Closes: #765529)
  * Use debhelper instead of cdbs.
  * Add upstream metadata.
  * Improve watch rule.

 -- Ruben Pollan <meskio@sindominio.net>  Fri, 16 Jan 2015 01:21:14 +0200

=== debian/control ===
Source: tudu
Section: utils
Priority: optional
Maintainer: Ruben Pollan <meskio@sindominio.net>
Build-Depends:
 acr,
 chrpath,
 debhelper (>= 10),
 libncursesw5-dev
Standards-Version: 3.9.8
Homepage: https://code.meskio.net/tudu/
Vcs-Browser: https://gitlab.com/tudu/tudu/tree/debian
Vcs-Git: git@gitlab.com:tudu/tudu.git -b debian

Package: tudu
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Command line hierarchical ToDo list
 ToDo list manager in ncurses, with hierarchical representation of the tasks.
 Each task has:
   * Title
   * Long text description
   * Deadline (tudu warns you when the date is approaching)
   * Categories
   * Priorities

=== debian/watch ===
version=3
https://code.meskio.net/tudu/tudu-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tudu 0.10.3

=== debian/changelog ===
tudu (0.10.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:24 +0100

tudu (0.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Ruben Pollan <meskio@sindominio.net>  Thu, 18 Jul 2019 12:35:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  acr,
  chrpath,
  debhelper (>= 10),
- libncursesw5-dev
-Standards-Version: 3.9.8
+ libncurses-dev
+Standards-Version: 4.0.0
 Homepage: https://code.meskio.net/tudu/
 Vcs-Browser: https://gitlab.com/tudu/tudu/tree/debian
 Vcs-Git: git@gitlab.com:tudu/tudu.git -b debian

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	rm -f configure Makefile */Makefile
	acr
	dh_auto_configure

override_dh_install:
	chrpath -d debian/tudu/usr/bin/tudu
	dh_install

## tudu 0.10.4

=== debian/changelog ===
tudu (0.10.4-1) unstable; urgency=medium

  * New upstream release
  * Use secure copyright file specification URI.
  * Use recommended URI format in Vcs header.
  * Drop unnecessary dh arguments: --parallel

 -- Ruben Pollan <meskio@sindominio.net>  Sun, 10 May 2020 10:26:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends:
  acr,
  chrpath,
- debhelper (>= 10),
+ debhelper (>= 12),
  libncurses-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0.2
 Homepage: https://code.meskio.net/tudu/
 Vcs-Browser: https://gitlab.com/tudu/tudu/tree/debian
-Vcs-Git: git@gitlab.com:tudu/tudu.git -b debian
+Vcs-Git: https://gitlab.com/tudu/tudu.git -b debian
+Rules-Requires-Root: no
 
 Package: tudu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	rm -f configure Makefile */Makefile

=== debian/watch ===
version=3
https://code.meskio.net/tudu/tudu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
